#include <bits/stdc++.h>
#pragma GCC optimize("Ofast")
using namespace std;
int main(){
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    int t;
    cin >> t;
    for (int yy=0;yy<t;yy++){
        long long n,m;
        cin >> n >> m;
        vector<int> a(m);
        vector<int> b(n);
        for (int i=0;i<m;i++){
            cin >> a[i];
        }
        if (m<n){
            cout << m*a[0] << '\n';
        } else if (m==n) {
            cout << n*a[0] << '\n';
        } else {
            if ((m-n)%2==0){
                cout << n*a[0] << '\n';
            } else {
                cout << n*a[0]-a[0] << '\n';
            }
        }
        b.clear();
        a.clear();
        continue;
        long long ans=0;
        for (int i=0;i<pow(2,m);i++){
            int u=i;
            for (int j=0;j<m;j++){
                if (u%2==0){
                    b[0]=a[j]-b[0];
                } else {
                    b[1]=a[j]-b[1];
                }
                u=u/2;
            }
            long long h=0;
            for (int j=0;j<n;j++){
                h+=b[j];
            }
            ans=max(ans,h);
            for (int j=0;j<n;j++){
                b[j]=0;
            }
        }
        cout << ans << '\n';
        b.clear();
        a.clear();
    }
}
